.\" Copyright (c) 1986, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)shells.5	8.1 (Berkeley) 6/5/93
.\" $FreeBSD: src/share/man/man5/shells.5,v 1.1.1.1.8.2 1999/09/05 11:27:07 peter Exp $
.\"
.Dd June 5, 1993
.Dt SHELLS 5
.Os BSD 4.2
.Sh NAME
.Nm shells
.Nd shell database
.Sh DESCRIPTION
The
.Nm shells
file contains a list of the shells on the system.
For each shell a single line should be present, consisting of the
shell's path, relative to root.
.Pp
A hash mark (``#'') indicates the beginning of a comment; subsequent
characters up to the end of the line are not interpreted by the
routines which search the file.
Blank lines are also ignored.
.Sh FILES
.Bl -tag -width /etc/shells -compact
.It Pa /etc/shells
The
.Nm shells
file resides in
.Pa /etc .
.El
.Sh SEE ALSO
.Xr getusershell 3
.Sh HISTORY
The
.Nm
file format appeared in
.Bx 4.3 tahoe .
